# revpi-config Cockpit Module

This module provides RevPi specific configuration options and access to the pictory web app.

## Pictory SSO Login
It is possible to seamlessly log into pictory 
from the revpi-config module without the need for any other authentication.

## SSO Authentication Details
To authenticate a user in pictory based on an active cockpit session is done via token exchange on 
the filesystem.
A cockpit session runs in the users context on the device and can create
a token file in the users name. Those tokens are created in the folder `/run/cockpit-revpi-pictory-sso` and consist of
a UUID as filename and the username as content.
Cockpit will pass this UUID with the link to pictory's sso_login Route which checks if
a token for this UUID exists and if so, creates an authenticated session for the user.
The token is deleted afterwards so it can only be claimed once.

## The /run/cockpit-revpi-pictory-sso directory
This directory is created by [systemd-tmpfiles](https://www.freedesktop.org/software/systemd/man/latest/systemd-tmpfiles.html#)
according to the configuration in `src/revpi-config/systemd/cockpit-revpi-pictory-sso.tmpfiles.conf`.
The conf file is copied to `/usr/local/lib/tmpfiles.d` from where systemd picks it up.

*Note:* If you are using the RSYNC option during development, you need to copy this file manually.
After deploying at least once to the target run this command on the target
```shell
$ sudo cp ~/.local/share/cockpit/revpi-config/systemd/cockpit-revpi-pictory-sso.tmpfiles.conf /usr/local/lib/tmpfiles.d/
# Restart systemd-tmpfiles 
$ sudo systemd-tmpfiles --create 
# make sure the folder was created
$ ls -alh /run/cockpit-revpi-pictory-sso
```
