import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";

const _ = cockpit.gettext;

export function SystemConfigurationCard (props) {
    const cardTitle = _("System Configuration");
    const {
        BoundSwitch,
        BoundToggle
    } = props.featureControlFactory;

    return (
        <Card isFullHeight name='system-configuration'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Basic configuration for RevPi devices.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        <BoundSwitch id='avahi' />
                    </GridItem>
                    <GridItem span={12}>
                        <BoundSwitch id='systemd-timesyncd' />
                    </GridItem>
                    <GridItem span={12}>
                        <BoundToggle id='var-log.mount' />
                    </GridItem>
                    <GridItem span={12}>
                        <BoundSwitch id='gui' />
                    </GridItem>
                    <GridItem span={12}>
                        <BoundSwitch id='ssh' />
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
