import cockpit from "cockpit";

const _ = cockpit.gettext;

export function getConfigData () {
    return [
        {
            id: "systemd-timesyncd",
            title: _("Set clock from NTP-Server"),
            type: "config"
        },
        {
            id: "ssh",
            title: _("SSH daemon to enable remote login"),
            type: "config"
        },
        {
            id: "gui",
            title: _("Boot to GUI"),
            type: "config",
            rebootRequired: true
        },
        {
            id: "var-log.mount",
            title: _("Store logs on"),
            type: "config",
            rebootRequired: true,
            options: {
                enabled: {
                    title: _("Temporary storage")
                },
                disabled: {
                    title: _("Flash storage")
                }
            }

        },
        {
            id: "bluetooth",
            title: _("BT"),
            type: "config",
            rebootRequired: true
        },
        {
            id: "ieee80211",
            title: _("WLAN"),
            type: "config",
            rebootRequired: true
        },
        {
            id: "external-antenna",
            title: _("Select antenna"),
            type: "config",
            rebootRequired: true,
            options: {
                enabled: {
                    title: _("External antenna (SMA)")
                },
                disabled: {
                    title: _("Internal antenna")
                }
            }
        },
        {
            id: "nodered",
            title: _("Node-RED"),
            type: "service"
        },
        {
            id: "noderedrevpinodes-server",
            title: _("Node-RED RevPi Nodes Server"),
            type: "service"
        },
        {
            id: "revpipyload",
            title: _("RevPiPyLoad"),
            type: "service"
        },
        {
            id: "avahi",
            title: _("Avahi (ZeroConf)"),
            type: "service"
        }
    ];
}
